Gtk2::AccelGroup(3)

NAME
Gtk2::AccelGroup - wrapper for GtkAccelGroup

SYNOPSIS
  my $win = Gtk2::Window->new;
  my $accel = Gtk2::AccelGroup->new;
  $accel->connect (42, ['control-mask'], ['visible'],
                   sub { # do something });
  $win->add_accel_group ($accel);

HIERARCHY
  Glib::Object
  +----Gtk2::AccelGroup

METHODS

  accelgroup = Gtk2::AccelGroup->new

  boolean = Gtk2::AccelGroups->activate ($object, $accel_key, $accel_mods)

•   $object (Glib::Object)

•   $accel_key (integer)

•   $accel_mods (Gtk2::Gdk::ModifierType)

  $accel_group->connect ($accel_key, $accel_mods, $accel_flags, $func)

•   $accel_key (integer)

•   $accel_mods (Gtk2::Gdk::ModifierType)

•   $accel_flags (Gtk2::AccelFlags)

•   $func (scalar)

  $accel_group->connect_by_path ($accel_path, $func)

•   $accel_path (string)

•   $func (scalar)

  boolean = $accel_group->disconnect ($func)

•   $func (scalar)

  boolean = $accel_group->disconnect_key ($accel_key, $accel_mods)

•   $accel_key (integer)

•   $accel_mods (Gtk2::Gdk::ModifierType)

  list = Gtk2::AccelGroups->from_object ($object)

•   $object (Glib::Object)

Returns a list of Gtk2::AccelGroup's.

  boolean = $accel_group->get_is_locked
Since: gtk+ 2.14

  $accel_group->lock

  modifiertype = $accel_group->get_modifier_mask
Since: gtk+ 2.14

  $accel_group->unlock

PROPERTIES

'is-locked' (boolean : default false : readable)
    Is the accel group locked

'modifier-mask' (Gtk2::Gdk::ModifierType : default shift-mask,control-mask,mod1-mask,super-mask,hyper-mask,meta-mask : readable)
    Modifier Mask

SIGNALS

boolean = accel-activate (Gtk2::AccelGroup, Glib::Object, Glib::UInt, Gtk2::Gdk::ModifierType)
accel-changed (Gtk2::AccelGroup, Glib::UInt, Gtk2::Gdk::ModifierType, GClosure)

ENUMS AND FLAGS

  flags Gtk2::AccelFlags

•   'visible' / 'GTK_ACCEL_VISIBLE'

•   'locked' / 'GTK_ACCEL_LOCKED'

•   'mask' / 'GTK_ACCEL_MASK'

  flags Gtk2::Gdk::ModifierType

•   'shift-mask' / 'GDK_SHIFT_MASK'

•   'lock-mask' / 'GDK_LOCK_MASK'

•   'control-mask' / 'GDK_CONTROL_MASK'

•   'mod1-mask' / 'GDK_MOD1_MASK'

•   'mod2-mask' / 'GDK_MOD2_MASK'

•   'mod3-mask' / 'GDK_MOD3_MASK'

•   'mod4-mask' / 'GDK_MOD4_MASK'

•   'mod5-mask' / 'GDK_MOD5_MASK'

•   'button1-mask' / 'GDK_BUTTON1_MASK'

•   'button2-mask' / 'GDK_BUTTON2_MASK'

•   'button3-mask' / 'GDK_BUTTON3_MASK'

•   'button4-mask' / 'GDK_BUTTON4_MASK'

•   'button5-mask' / 'GDK_BUTTON5_MASK'

•   'super-mask' / 'GDK_SUPER_MASK'

•   'hyper-mask' / 'GDK_HYPER_MASK'

•   'meta-mask' / 'GDK_META_MASK'

•   'release-mask' / 'GDK_RELEASE_MASK'

•   'modifier-mask' / 'GDK_MODIFIER_MASK'

SEE ALSO
Gtk2, Glib::Object

COPYRIGHT
Copyright (C) 2003-2011 by the gtk2-perl team.

This software is licensed under the LGPL. See Gtk2 for a full notice.